function [trainData, testData, trainLabel, testLabel] = folder_data_multi(data,label,folderNum)

[n1, n2] = size(data); 
te = 1 : n1;

if folderNum == 1
    for folder = 1 : n1
        testInd = find(te == folder);
        trainInd = setdiff(1:n1,testInd);
        trainData{folder} = data(trainInd,:);
        testData{folder} = data(testInd,:);
        trainLabel{folder} = label(trainInd);
        testLabel{folder} = label(testInd);
    end   
end
    
if folderNum ~= 1
    randomInd = randperm(n1); 
    data = data(randomInd,:);
    label = label(randomInd);
    
    Class = unique(label);
    for i = 1 :length(Class)
        Ind{i} = find(label == Class(i));
        subInd(i) = floor(length(Ind{i})/folderNum);
        subMod(i) = mod(length(Ind{i}),folderNum);
    end

    for folder = 1 : folderNum
        testInd = [];
        for C = 1 : length(Class)
            cInd = Ind{C};
            if folder <=  subMod(C)
                startInd = (folder-1)*(subInd(C)+1)+1;
                endInd  = folder*(subInd(C)+1);
                testInd = [testInd;cInd(startInd:endInd)];
            else
                startInd = subMod(C)*(subInd(C)+1)+(folder-subMod(C)-1)*subInd(C)+1;
                endInd  = subMod(C)*(subInd(C)+1)+(folder-subMod(C))*subInd(C);
                testInd = [testInd;cInd(startInd:endInd)];
            end
        end
        
        trainInd = setdiff(1:n1,testInd);
        trainData{folder} = data(trainInd,:);
        testData{folder} = data(testInd,:);
        trainLabel{folder} = label(trainInd);
        testLabel{folder} = label(testInd);
        
    end
end